Subject: Meaning of Location header in 204 Responses

From: Jan Algermissen <[email-masked]>
Date: Tue, 29 Sep 2009 16:19:49 +0200

In [1] Roy writes:

"The HTTP response will tell you what happened as a result. In HTTP, a  
single resource-creating POST action will result in a 201 response  
with another hypertext representation (telling you what happened and  
what can be done next) or 204 response with the Location header field  
indicating the URI of the new resource."

I read that to suggest that the presence of a Location header in a 204  
response indicates resource creation. But I cannot find a confirmation  
in the HTTP spec.

Am I misreading Roy's comment? Or should a client indeed infer the  
creation of a new resource from 204 plus Location header?

Jan

[1] <http://roy.gbiv.com/untangled/2008/rest-apis-must-be-hypertext-driven#comment-720